Subject: [Sip] SIP and Media Servers [was: INFO considered harmful]

From: "Eric Burger" <[email-masked]>
Date: Mon, 30 Dec 2002 17:33:47 -0500

"The guidelines for authors of SIP extensions[7] clearly rules some of them, such as media server control, out of scope."

[7] clearly, and IMHO correctly, rules using SIP for device control to be out of scope.  However, I would offer that media server control, e.g., "I want to route a SIP message to my farm of media servers (a routing problem), and possibly to a bunch in parallel (a forking problem) to the 'user' that represents an send-only source (a.k.a., an announcement)" is in scope.

For that matter, the words "media server" never appear in [7] :-)

[7] Rosenberg, J., "Guidelines for Authors of Extensions to the Session Initiation Protocol (SIP)", draft-ietf-sip-guidelines-06 (work in progress), November 2002. 

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Thursday, December 26, 2002 3:12 PM
> To: [email-masked]
> Subject: [Sip] INFO considered harmful
> 
> 
> Folks,
> 
> For some time, I've been complaining about the continued abuse of the 
> INFO method for things that should be done other ways 
> (frequently, not 
> using sip at all). I've written up a summary of the problems and a 
> proposed path forward. Specifically, I'd like to obsolete INFO and 
> replace it with a spec that is approved ONLY for SIP-T.
> 
> Until the I-D appears, you can pick up a version at:
> 
> http://www.jdrosen.net/papers/draft-rosenberg-sip-info-harmful-00.txt
> http://www.jdrosen.net/papers/draft-rosenberg-sip-info-harmful-00.html
> 
> 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip